Subject: bug#11948: 24.1.50; word-wrap should allow wrapping at all breaking space characters, not just space and tab

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Apr 2022 14:49:40 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 23 Apr 2022 13:32:48 +0200
> 
> > Of course, the harder part here is to decide which of the Zs
> > characters will allow word-wrap on them.  I don't think all of them
> > should.
> 
> Looking over these:
> 
> 17 matches for "Zs" in buffer: UnicodeData.txt
>      33:0020;SPACE;Zs;0;WS;;;;;N;;;;;
>     161:00A0;NO-BREAK SPACE;Zs;0;CS;<noBreak> 0020;;;;N;NON-BREAKING SPACE;;;;
>    5187:1680;OGHAM SPACE MARK;Zs;0;WS;;;;;N;;;;;
>    7354:2000;EN QUAD;Zs;0;WS;2002;;;;N;;;;;
>    7355:2001;EM QUAD;Zs;0;WS;2003;;;;N;;;;;
>    7356:2002;EN SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>    7357:2003;EM SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>    7358:2004;THREE-PER-EM SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>    7359:2005;FOUR-PER-EM SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>    7360:2006;SIX-PER-EM SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>    7361:2007;FIGURE SPACE;Zs;0;WS;<noBreak> 0020;;;;N;;;;;
>    7362:2008;PUNCTUATION SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>    7363:2009;THIN SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>    7364:200A;HAIR SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>    7401:202F;NARROW NO-BREAK SPACE;Zs;0;CS;<noBreak> 0020;;;;N;;;;;
>    7449:205F;MEDIUM MATHEMATICAL SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
>   11232:3000;IDEOGRAPHIC SPACE;Zs;0;WS;<wide> 0020;;;;N;;;;;
> 
> I think only the no-break ones shouldn't trigger wrapping?

Those marked with "<no break>", you mean?  Yes.  But I think we should
add U+200B ZERO WIDTH SPACE to the list, although it's not Zs.